Eclipse Platform Release 3.7

## org.eclipse.jface.dialogs
Interface IDialogBlockedHandler

    public interface IDialogBlockedHandler

The IDialogBlockedHandler is the handler used by JFace to provide extra information when a blocking has occured. There is one static instance of this class used by WizardDialog and ModalContext.

Since:
  3.0
See Also:
  `IProgressMonitorWithBlocking.clearBlocked()`, `IProgressMonitorWithBlocking.setBlocked(IStatus)`, `WizardDialog`

Method Summary
`void` `clearBlocked()` The blockage has been cleared.
`void` `showBlocked(IProgressMonitor blocking, IStatus blockingStatus, String blockedName)` A blockage has occured.
`void` `showBlocked(Shell parentShell, IProgressMonitor blocking, IStatus blockingStatus, String blockedName)` A blockage has occured.

Method Detail

### clearBlocked

    void clearBlocked()

  The blockage has been cleared. Clear the extra information and resume.

### showBlocked

    void showBlocked(Shell parentShell,
                     IProgressMonitor blocking,
                     IStatus blockingStatus,
                     String blockedName)

  A blockage has occured. Show the blockage and forward any actions to blockingMonitor. NOTE: This will open any blocked notification immediately even if there is a modal shell open.

  Parameters:
    `parentShell` - The shell this is being sent from. If the parent shell is `null` the behavior will be the same as IDialogBlockedHandler#showBlocked(IProgressMonitor, IStatus, String)
    `blocking` - The monitor to forward to. This is most important for calls to `cancel()`.
    `blockingStatus` - The status that describes the blockage
    `blockedName` - The name of the locked operation.
  See Also:
    `showBlocked(IProgressMonitor, IStatus, String)`

### showBlocked

    void showBlocked(IProgressMonitor blocking,
                     IStatus blockingStatus,
                     String blockedName)

  A blockage has occured. Show the blockage when there is no longer any modal shells in the UI and forward any actions to blockingMonitor. NOTE: As no shell has been specified this method will not open any blocked notification until all other modal shells have been closed.

  Parameters:
    `blocking` - The monitor to forward to. This is most important for calls to `cancel()`.
    `blockingStatus` - The status that describes the blockage
    `blockedName` - The name of the locked operation.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.